Bug 1673304 (CVE-2019-3839)

Summary: CVE-2019-3839 ghostscript: missing attack vector protections for CVE-2019-6116
Product: [Other] Security Response Reporter: Cedric Buissart <cbuissar>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: dkaspar, mosvald, security-response-team, twaugh, zdohnal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ghostscript 9.50 Doc Type: If docs needed, set a value
Doc Text:
It was found that some privileged operators remained accessible from various places after the CVE-2019-6116 fix. A specially crafted PostScript file could use this flaw in order to, for example, have access to the file system outside of the constrains imposed by -dSAFER.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-07 19:21:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1673398, 1673399, 1692798, 1693807, 1747956    
Bug Blocks: 1673302    

Description Cedric Buissart 2019-02-07 10:24:00 UTC
It was found that some additional operators and dictionaries were needed to be hidden in order to prevent other CVE-2019-6116 attacks.

Comment 5 Cedric Buissart 2019-02-15 10:24:11 UTC
Mitigation:

Please refer to the "Mitigation" section of CVE-2018-16509 : https://access.redhat.com/security/cve/cve-2018-16509

Comment 10 Cedric Buissart 2019-05-02 16:15:07 UTC
Additional commit required for CVE-2019-6116 :
http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=4ec9ca7  
   + http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=db24f25 to prevent pdf2dsc regression

Comment 11 errata-xmlrpc 2019-05-07 04:18:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:0971 https://access.redhat.com/errata/RHSA-2019:0971

Comment 12 errata-xmlrpc 2019-05-07 17:05:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1017 https://access.redhat.com/errata/RHSA-2019:1017

Comment 13 Cedric Buissart 2019-09-02 10:48:38 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1747956]

Comment 15 Cedric Buissart 2019-11-18 09:51:07 UTC
Statement:

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Important, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.